## org.eclipse.datatools.modelbase.sql.tables
Interface PersistentTable

All Superinterfaces:
  BaseTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, Table

All Known Subinterfaces:
  SybaseASABaseProxyTable, SybaseASABaseTable, SybaseASATable, SybaseASEProxyTable, SybaseASETable, SybaseASEWebServiceTable

All Known Implementing Classes:
  JDBCTable, MySqlCatalogTable, org.eclipse.datatools.modelbase.sql.tables.impl.PersistentTableImpl, SybaseASABaseProxyTableImpl, SybaseASABaseTableImpl, SybaseASACatalogBaseProxyTable, SybaseASACatalogTable, SybaseASATableImpl, SybaseASECatalogProxyTable, SybaseASECatalogTable, SybaseASECatalogWebServiceTable, SybaseASEProxyTableImpl, SybaseASETableImpl, SybaseASEWebServiceTableImpl

    public interface PersistentTable

extends BaseTable

A representation of the model object 'Persistent Table'. Reference: 5WD-02-Foundation-2002-12 4.14 Tables

See Also:
  `SQLTablesPackage.getPersistentTable()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getConstraints, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`